@echo off
echo.
echo Advance to new TTS
echo ------------------
echo.
echo This will advance TeleFlow TTS support to NeoSpeech VoiceText version 3.9
echo You MUST ensure TeleFlow Server is not running before proceeding!
echo.
echo Press Ctrl+C to abort, or
pause
echo.

if exist tts30.dll goto ALREADY
if exist libttsapi30.dll goto ALREADY

echo Renaming files...

attrib *tts*.dll -r
if errorlevel 1 goto ERROR

@echo on
ren tts.dll tts30.dll
@echo off
if errorlevel 1 goto ERROR

@echo on
ren libttsapi.dll libttsapi30.dll
@echo off
if errorlevel 1 goto ERROR

@echo on
ren tts39.dll tts.dll
@echo off
if errorlevel 1 goto ERROR

@echo on
ren libttsapi39.dll libttsapi.dll
@echo off
if errorlevel 1 goto ERROR

if exist tts39.dll goto ERROR
if exist libttsapi39.dll goto ERROR

:SUCCESS
echo.
dir *tts*.dll /on
echo.
echo SUCCESS! TeleFlow will now support NeoSpeech VoiceText version 3.9
goto EXIT

:ALREADY
echo.
dir *tts*.dll /on
echo.
echo TeleFlow is already set to run against version 3.9
goto EXIT

:ERROR
echo.
dir *tts*.dll /on
echo.
echo ERROR: One or more of the TTS files could not be renamed!
goto EXIT

:EXIT
echo.
